
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>ACLs &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Adding WebSockets support" href="vcl-example-websockets.html" />
    <link rel="prev" title="Altering the backend response" href="vcl-example-manipulating-responses.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="vcl-example-websockets.html" title="Adding WebSockets support"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="vcl-example-manipulating-responses.html" title="Altering the backend response"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" >The Varnish Users Guide</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="vcl.html" >VCL - Varnish Configuration Language</a> &#187;</li>
          <li class="nav-item nav-item-3"><a href="vcl-examples.html" accesskey="U">VCL Examples</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">ACLs</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="acls">
<h1>ACLs<a class="headerlink" href="#acls" title="Permalink to this headline">¶</a></h1>
<p>You create a named access control list with the <code class="docutils literal notranslate"><span class="pre">acl</span></code> keyword. You can match
the IP address of the client against an ACL with the match operator.:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span># Who is allowed to purge....
acl local {
    &quot;localhost&quot;;
    &quot;192.168.1.0&quot;/24; /* and everyone on the local network */
    ! &quot;192.168.1.23&quot;; /* except for the dialin router */
}

sub vcl_recv {
  if (req.method == &quot;PURGE&quot;) {
    if (client.ip ~ local) {
       return(purge);
    } else {
       return(synth(403, &quot;Access denied.&quot;));
    }
  }
}
</pre></div>
</div>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="vcl-example-manipulating-responses.html"
                        title="previous chapter">Altering the backend response</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="vcl-example-websockets.html"
                        title="next chapter">Adding WebSockets support</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/users-guide/vcl-example-acls.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="vcl-example-websockets.html" title="Adding WebSockets support"
             >next</a> |</li>
        <li class="right" >
          <a href="vcl-example-manipulating-responses.html" title="Altering the backend response"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" >The Varnish Users Guide</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="vcl.html" >VCL - Varnish Configuration Language</a> &#187;</li>
          <li class="nav-item nav-item-3"><a href="vcl-examples.html" >VCL Examples</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">ACLs</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>